Skip to content

Get customers

GET
/v1/booking/customers
curl --request GET \
--url https://rms.dev.caspeco.net/api/booking/v1/booking/customers \
--header 'Authorization: Bearer <token>' \
--header 'system: example'
system
required
string

The system name / database to query

changedFromUtc
string format: date-time
nullable

Return contacts that have been created or changed after this time.

Media typeapplication/json
Array<object>
object
name
string
streetaddress
string
zipcode
string
city
string
orgNr
string
phone
string
fax
string
email
string
information
string
hidden
boolean
id
integer format: int64
invoiceStreetaddress
string
invoiceZipCode
string
invoiceCity
string
invoiceCode1
string
invoiceCode2
string
invoiceCode3
string
ediNumber
string
nullable
marking
string
customerNumber
string
invoicingPaymentTerms
integer format: int32
nullable
invoicingFee
integer format: int32
nullable
binaryFlags
integer
Allowed values: 0 1 2 4 8 16 32
accountManager
string
webpage
string
lastChangedUtc
string format: date-time
nullable
lastChangedBy
string
agreementLevel
integer format: int32
Example
[
{
"binaryFlags": 0
}
]
Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
extensions
object
key
additional properties
key
additional properties
nullable
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"extensions": {
"additionalProperty": "example"
}
}